Retry Tier with Resource Overrides
curl --request POST \
--url https://api.mixpeek.com/v1/buckets/{bucket_identifier}/batches/{batch_id}/tiers/{tier_num}/retry \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requires_gpu": true,
"priority": 50
}
'import requests
url = "https://api.mixpeek.com/v1/buckets/{bucket_identifier}/batches/{batch_id}/tiers/{tier_num}/retry"
payload = {
"requires_gpu": True,
"priority": 50
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({requires_gpu: true, priority: 50})
};
fetch('https://api.mixpeek.com/v1/buckets/{bucket_identifier}/batches/{batch_id}/tiers/{tier_num}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}Batches
Retry Tier with Resource Overrides
Retry a failed or canceled tier, optionally with modified resource parameters. Useful for retrying OOM failures with more memory.
POST
/
v1
/
buckets
/
{bucket_identifier}
/
batches
/
{batch_id}
/
tiers
/
{tier_num}
/
retry
Retry Tier with Resource Overrides
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the bucket.
The unique identifier of the batch.
Zero-based tier number to retry.
Required range:
x >= 0Body
application/json
Resource overrides: {requires_gpu, priority}.
Response
Successful Response
The response is of type Response Retry Tier V1 Buckets Bucket Identifier Batches Batch Id Tiers Tier Num Retry Post · object.
Was this page helpful?
⌘I

